Name:           libxshmfence
Version:        1.3.2
Release:        1
Summary:        X11 shared memory fences
License:        MIT
URL:            https://www.x.org/
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake libtool xorg-x11-util-macros xorg-x11-proto-devel

%description
Shared memory fences for X11, as used in DRI3.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --disable-static
%make_build

%check
make check

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files help
%defattr(-,root,root)
%doc README.md ChangeLog

%changelog
* Sat Feb 04 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 1.3.2-1
- update to 1.3.2

* Fri Nov 04 2022 wangkerong <wangkerong@h-partners.com> - 1.3-9
- disable static library

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.3-8
- Rebuild for next release

* Wed Apr 6 2022 liuyumeng1 <liuyumeng5@h-partners.com> - 1.3-7
- enable tests

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file and add the help package for libxshmfence

* Wed Oct 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3-5
- Type:enhancement
- ID:NA
- SUG:NA
  DESC:add COPYING

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3-4
- Package init
